Manage snapshot scheduling for virtual servers

Enable or disable scheduled snapshots for your virtual server (VM). You can also set the frequency for snapshot creation, such as every four hours.

VPS Services Snapshots

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
enabled boolean required · Example: true
interval_hours integer required · Example: 12

Responses

200
data object required
data.message string required · Example: Snapshot schedule saved

Human-readable message.

data.schedule object required
data.schedule.account_id string required · Example: 20000
data.schedule.client_id string required · Example: 30000
data.schedule.created_at string required · Example: 2026-02-10T00:00:00.000Z
data.schedule.enabled boolean required · Example: true
data.schedule.id string required · Example: 1
data.schedule.interval_hours integer required · Example: 12
data.schedule.last_run string · nullable required · Example: null

Nullable: may be null when not applicable.

data.schedule.next_run string · nullable required · Example: 2026-02-10T00:00:00.000Z

Nullable: may be null when not applicable.

data.schedule.retention_days integer required · Example: 1
data.schedule.updated_at string required · Example: 2026-02-10T00:00:00.000Z
data.schedule.vm_id string required · Example: 10000
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/vm/{vmid}/snapshot-schedules
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/vm/10000/snapshot-schedules" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "enabled": true,
    "interval_hours": 12
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "schedule": {
      "id": "1",
      "client_id": "30000",
      "account_id": "20000",
      "vm_id": "10000",
      "enabled": true,
      "interval_hours": 12,
      "retention_days": 1,
      "last_run": null,
      "next_run": "2026-02-10T00:00:00.000Z",
      "created_at": "2026-02-10T00:00:00.000Z",
      "updated_at": "2026-02-10T00:00:00.000Z"
    },
    "message": "Snapshot schedule saved"
  }
}
Request Body Example 1
{
  "enabled": true,
  "interval_hours": 12
}